Class Specialization
StoreReport
BlastReport specialization. Parses a Blast report and stores all hits and HSPs.

BlastReport

StoreReport

BlastReport<TBlastHsp,StoreReport<TSpec> >
Include Headers
blast.h
Parameters

TBlastHsp | The type of HSPs to be stored. See BlastHsp Metafunctions: Hsp Default: BlastHsp<BlastN,BasicInfo>
TSpec | The specializing type. Types: BasicInfo, FullInfo Default: BasicInfo

Specialization of
BlastReport
Metafunctions

Hit | Blast Hit type of a Blast object. (BlastReport)
Host | Type of the object a given object depends on. (BlastReport)
Hsp | Blast HSP type of a Blast object. (BlastReport)
Iterator | Type of iterator objects that are used to traverse the container. (BlastReport)

Functions

atEnd | Determines whether an iterator is at the end position. (BlastReport)
databaseName | Reference to the name (identifier) of the database in a Blast report. (BlastReport)
getDatabaseName | The name (identifier) of the database in a Blast report. (BlastReport)
getEValueCutoff | The Expect-Value cutoff parsed from a Blast report.
getGappedKappa | The gapped kappa value parsed from a Blast report.
getGappedLambda | The lambda value parsed from a Blast report.
getGetExtension | The gap extension penalty parsed from a Blast report.
getGetOpen | The gap open penalty parsed from a Blast report.
getKappa | The kappa value parsed from a Blast report.
getLambda | The lambda value parsed from a Blast report.
getNext | Get next Blast report from a file containing multiple Blast reports. (BlastReport)
getQueryName | The name (identifier) of the query in a Blast report. (BlastReport)
numHits | The total number of hits in a Blast report.
numHsps | The number of HSPs for an entire Blast report or for one Blast hit.
queryName | Reference to the name (identifier) of the query in a Blast report. (BlastReport)

Example Programs
Blast Reports
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52